Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.avi
Class AbstractAVIStream.Chunk

    java.lang.Object
      org.monte.media.avi.AbstractAVIStream.Chunk

Direct Known Subclasses:
  AbstractAVIStream.CompositeChunk, AbstractAVIStream.DataChunk, AbstractAVIStream.FixedSizeDataChunk

Enclosing class:
  AbstractAVIStream

    protected abstract class AbstractAVIStream.Chunk

extends java.lang.Object

Chunk base class.

Field Summary
`protected java.lang.String` | `chunkType` The chunkType of the chunk.
`protected long` | `offset` The offset of the chunk relative to the startTime of the ImageOutputStream.

Constructor Summary
`AbstractAVIStream.Chunk(java.lang.String chunkType)` Creates a new Chunk at the current position of the ImageOutputStream.

Method Summary
`abstract void` | `finish()` Writes the chunk to the ImageOutputStream and disposes it.
`abstract long` | `size()` Returns the size of the chunk including the size of the chunk header.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### chunkType

    protected java.lang.String chunkType

  The chunkType of the chunk. A String with the length of 4 characters.

### offset

    protected long offset

  The offset of the chunk relative to the startTime of the ImageOutputStream.

Constructor Detail

### AbstractAVIStream.Chunk

    public AbstractAVIStream.Chunk(java.lang.String chunkType)
                            throws java.io.IOException

  Creates a new Chunk at the current position of the ImageOutputStream.

  Parameters:
    `chunkType` - The chunkType of the chunk. A string with a length of 4 characters.
  Throws:
    `java.io.IOException`

Method Detail

### finish

    public abstract void finish()
                         throws java.io.IOException

  Writes the chunk to the ImageOutputStream and disposes it.

  Throws:
    `java.io.IOException`

### size

    public abstract long size()

  Returns the size of the chunk including the size of the chunk header.

  Returns:
    The size of the chunk.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD